NXOpen .NET Reference  12.0.0
NXOpen.CAE.ModelUpdateSolution Member List

This is the complete list of members for NXOpen.CAE.ModelUpdateSolution, including all inherited members.

AttributeType enum nameNXOpen.NXObject
CalculateComacs(out int[] referenceModeNumbers, out int[] workModeNumbers, out double[] referenceModeFrequencies, out double[] workModeFrequencies, out int[] refNodesHaveSensors, out int[] refNodeIndex, out int[] refDofIndex)NXOpen.CAE.CorrelSolution
CalculateErrors()NXOpen.CAE.ModelUpdateSolution
CloneCorrelation()NXOpen.CAE.CorrelSolution
CloneModelupdate()NXOpen.CAE.ModelUpdateSolution
ComputeMacs(out double[] referenceModeFrequencies, out int[] referenceModeNumbers, out double[] workModeFrequencies, out int[] workModeNumbers)NXOpen.CAE.CorrelSolution
ComputeModePairsForSol()NXOpen.CAE.CorrelSolution
CreateAttributeIterator()NXOpen.NXObject
CreateCorrelMethodBuilder()NXOpen.CAE.ModelUpdateSolution
CreateModePairingBuilder()NXOpen.CAE.CorrelSolution
CreateOptimOptionsBuilder()NXOpen.CAE.ModelUpdateSolution
CreateOptionsBuilder()NXOpen.CAE.ModelUpdateSolution
CreateOverallWeightsBuilder()NXOpen.CAE.ModelUpdateSolution
DateAndTimeFormat enum nameNXOpen.NXObject
DeleteAllAttributesByType(NXOpen.NXObject.AttributeType type)NXOpen.NXObject
DeleteAllAttributesByType(NXOpen.NXObject.AttributeType type, NXOpen.Update.Option option)NXOpen.NXObject
DeleteAttributeByTypeAndTitle(NXOpen.NXObject.AttributeType type, string title)NXOpen.NXObject
DeleteAttributeByTypeAndTitle(NXOpen.NXObject.AttributeType type, string title, NXOpen.Update.Option option)NXOpen.NXObject
DeleteUserAttribute(NXOpen.NXObject.AttributeType type, string title, bool deleteEntireArray, NXOpen.Update.Option option)NXOpen.NXObject
DeleteUserAttributes(NXOpen.AttributeIterator iterator, NXOpen.Update.Option option)NXOpen.NXObject
DeleteUserAttributes(NXOpen.NXObject.AttributeType type, NXOpen.Update.Option option)NXOpen.NXObject
DesignVariablesNXOpen.CAE.ModelUpdateSolution
Destroy(bool deleteResultFile)NXOpen.CAE.CorrelSolution
ExportDesignVariablesCsvFile(string fileName)NXOpen.CAE.ModelUpdateSolution
ExportErrorsCsvFile(NXOpen.CAE.ModelUpdateSolution.TargetType targetType, string fileName)NXOpen.CAE.ModelUpdateSolution
ExportModePairCsvFile(string filename)NXOpen.CAE.CorrelSolution
ExportNodeMapCsvFile(string filename)NXOpen.CAE.CorrelSolution
ExportSensitivitiesCsvFile(string fileName)NXOpen.CAE.ModelUpdateSolution
ExportShapeMetricsCsvFile(NXOpen.CAE.CorrelShapemetrictype metricCode, string filename)NXOpen.CAE.CorrelSolution
ExportTargetsCsvFile(NXOpen.CAE.ModelUpdateSolution.TargetType tagetType, string fileName)NXOpen.CAE.ModelUpdateSolution
FindObject(string journalIdentifier)NXOpen.NXObject
GenerateComacResults()NXOpen.CAE.CorrelSolution
GenerateMatchingDofset()NXOpen.CAE.CorrelSolution
GetAttributeTitlesByType(NXOpen.NXObject.AttributeType type)NXOpen.NXObject
GetBooleanUserAttribute(string title, int index)NXOpen.NXObject
GetComputationalTimeUserAttribute(string title, int index)NXOpen.NXObject
GetDesignVariables()NXOpen.CAE.ModelUpdateSolution
GetDesignVarNumber()NXOpen.CAE.ModelUpdateSolution
GetIntegerAttribute(string title)NXOpen.NXObject
GetIntegerUserAttribute(string title, int index)NXOpen.NXObject
GetNextUserAttribute(NXOpen.AttributeIterator iterator, out NXOpen.NXObject.AttributeInformation info)NXOpen.NXObject
GetPdmReferenceAttributeValue(string attributeTitle)NXOpen.NXObject
GetRealAttribute(string title)NXOpen.NXObject
GetRealUserAttribute(string title, int index)NXOpen.NXObject
GetReferenceAttribute(string title)NXOpen.NXObject
GetSolutionName()NXOpen.CAE.CorrelSolution
GetStringAttribute(string title)NXOpen.NXObject
GetStringUserAttribute(string title, int index)NXOpen.NXObject
GetTimeAttribute(NXOpen.NXObject.DateAndTimeFormat format, string title)NXOpen.NXObject
GetTimeUserAttribute(string title, int index)NXOpen.NXObject
GetUserAttribute(string title, NXOpen.NXObject.AttributeType type, int index)NXOpen.NXObject
GetUserAttribute(string title, bool includeUnset, bool addStringValues, NXOpen.NXObject.AttributeType type)NXOpen.NXObject
GetUserAttributeAsString(string title, NXOpen.NXObject.AttributeType type, int index)NXOpen.NXObject
GetUserAttributeCount(NXOpen.AttributeIterator iterator)NXOpen.NXObject
GetUserAttributeCount(NXOpen.AttributeIterator iterator, bool countArrayAsOneAttribute)NXOpen.NXObject
GetUserAttributeCount(NXOpen.NXObject.AttributeType type)NXOpen.NXObject
GetUserAttributeCount(NXOpen.NXObject.AttributeType type, bool includeUnset, bool countArrayAsOneAttribute)NXOpen.NXObject
GetUserAttributeLock(string title, NXOpen.NXObject.AttributeType type)NXOpen.NXObject
GetUserAttributes(NXOpen.AttributeIterator iterator)NXOpen.NXObject
GetUserAttributes()NXOpen.NXObject
GetUserAttributes(bool includeUnset)NXOpen.NXObject
GetUserAttributes(bool includeUnset, bool addStringValues)NXOpen.NXObject
GetUserAttributesAsStrings()NXOpen.NXObject
GetUserAttributeSize(string title, NXOpen.NXObject.AttributeType type)NXOpen.NXObject
GetUserAttributeSourceObjects()NXOpen.NXObject
HasUserAttribute(NXOpen.AttributeIterator iterator)NXOpen.NXObject
HasUserAttribute(string title, NXOpen.NXObject.AttributeType type, int index)NXOpen.NXObject
ImportNodeMapCsvFile(string filename)NXOpen.CAE.CorrelSolution
IsOccurrenceNXOpen.NXObject
JournalIdentifierNXOpen.NXObject
LockNodeMap()NXOpen.CAE.CorrelSolution
NameNXOpen.NXObject
OwningComponentNXOpen.NXObject
OwningPartNXOpen.NXObject
Print()NXOpen.NXObject
PrototypeNXOpen.NXObject
ResetDesignVariables()NXOpen.CAE.ModelUpdateSolution
ResetTargets()NXOpen.CAE.ModelUpdateSolution
SetActiveModePair(int referenceModeNumber, int workModeNumber, bool active)NXOpen.CAE.CorrelSolution
SetActiveRefMode(int refModeNumber, bool active)NXOpen.CAE.CorrelSolution
SetActiveSensor(int sensorNumber, bool active)NXOpen.CAE.CorrelSolution
SetActiveSensorDof(int sensorNumber, int dofNumber, bool active)NXOpen.CAE.CorrelSolution
SetActiveSensorDofOrientation(int sensorNumber, int dofNumber, bool orientation)NXOpen.CAE.CorrelSolution
SetActiveWorkMode(int workModeNumber, bool active)NXOpen.CAE.CorrelSolution
SetAttribute(string title, int value)NXOpen.NXObject
SetAttribute(string title, int value, NXOpen.Update.Option option)NXOpen.NXObject
SetAttribute(string title, double value)NXOpen.NXObject
SetAttribute(string title, double value, NXOpen.Update.Option option)NXOpen.NXObject
SetAttribute(string title, string value)NXOpen.NXObject
SetAttribute(string title, string value, NXOpen.Update.Option option)NXOpen.NXObject
SetAttribute(string title)NXOpen.NXObject
SetAttribute(string title, NXOpen.Update.Option option)NXOpen.NXObject
SetBooleanUserAttribute(string title, int index, bool value, NXOpen.Update.Option option)NXOpen.NXObject
SetDesignVarActive(int designVarIndex, bool active)NXOpen.CAE.ModelUpdateSolution
SetDesignVariablesInitialValue(double initialValue)NXOpen.CAE.ModelUpdateSolution
SetDesignVarLowerBound(int designVarIndex, double lowerBound)NXOpen.CAE.ModelUpdateSolution
SetDesignVarUpperBound(int designVarIndex, double upperBound)NXOpen.CAE.ModelUpdateSolution
SetDesignVarValue(int designVarIndex, double value)NXOpen.CAE.ModelUpdateSolution
SetDesignVarWeight(int designVarIndex, double weight)NXOpen.CAE.ModelUpdateSolution
SetFreqTargetActive(int freqTargetIndex, bool active)NXOpen.CAE.ModelUpdateSolution
SetFreqTargetWeight(int freqTargetIndex, double weight)NXOpen.CAE.ModelUpdateSolution
SetModeShapeTargetActive(int modeShapeTargetIndex, bool active)NXOpen.CAE.ModelUpdateSolution
SetModeShapeTargetWeight(int modeShapeTargetIndex, double modeShapeWeight)NXOpen.CAE.ModelUpdateSolution
SetName(string name)NXOpen.NXObject
SetPdmReferenceAttribute(string attributeTitle, string attributeValue)NXOpen.NXObject
SetReferenceAttribute(string title, string value)NXOpen.NXObject
SetReferenceAttribute(string title, string value, NXOpen.Update.Option option)NXOpen.NXObject
SetSolutionName(string solutionName, bool renameResultFile)NXOpen.CAE.CorrelSolution
SetTimeAttribute(string title, string value)NXOpen.NXObject
SetTimeAttribute(string title, string value, NXOpen.Update.Option option)NXOpen.NXObject
SetTimeUserAttribute(string title, int index, string value, NXOpen.Update.Option option)NXOpen.NXObject
SetTimeUserAttribute(string title, int index, NXOpen.NXObject.ComputationalTime value, NXOpen.Update.Option option)NXOpen.NXObject
SetUserAttribute(NXOpen.NXObject.AttributeInformation info, NXOpen.Update.Option option)NXOpen.NXObject
SetUserAttribute(string title, int index, int value, NXOpen.Update.Option option)NXOpen.NXObject
SetUserAttribute(string title, int index, double value, NXOpen.Update.Option option)NXOpen.NXObject
SetUserAttribute(string title, int index, string value, NXOpen.Update.Option option)NXOpen.NXObject
SetUserAttribute(string title, int index, NXOpen.Update.Option option)NXOpen.NXObject
SetUserAttributeLock(string title, NXOpen.NXObject.AttributeType type, bool @lock)NXOpen.NXObject
TargetType enum nameNXOpen.CAE.ModelUpdateSolution
UnlockNodeMap()NXOpen.CAE.CorrelSolution
UpdateDesignVariables()NXOpen.CAE.ModelUpdateSolution
UpdateFiniteElementModel()NXOpen.CAE.ModelUpdateSolution
UpdateNodeMatchings()NXOpen.CAE.CorrelSolution
UpdateResultsForSolution(NXOpen.CAE.SimSolution tSolution, bool ignoreReload)NXOpen.CAE.CorrelSolution
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.